Update user address details
curl --request PUT \
--url https://b2b-api.dev-riseworks.io/v2/user/address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://b2b-api.dev-riseworks.io/v2/user/address"
payload = {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
line_1: '<string>',
line_2: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip_code: '<string>',
timezone: '<string>'
})
};
fetch('https://b2b-api.dev-riseworks.io/v2/user/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Users
Update user address details
PUT
/
v2
/
user
/
address
Update user address details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The first line of the address.
The second line of the address, optional.
The city of the address.
The state of the address.
The country of the address.
The ZIP or postal code of the address.
The timezone associated with the address.
Response
Default Response
Available options:
true ⌘I
